com.io7m.smfj.serializer.api

## Interface SMFSerializerDataAttributesValuesType

- All Superinterfaces:
    AutoCloseable, Closeable

      public interface SMFSerializerDataAttributesValuesType
      extends Closeable

  Functions for serializing values.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serializeValueFloat1(double x)` Serialize a value.
    `void` | `serializeValueFloat2(double x, double y)` Serialize a value.
    `void` | `serializeValueFloat3(double x, double y, double z)` Serialize a value.
    `void` | `serializeValueFloat4(double x, double y, double z, double w)` Serialize a value.
    `void` | `serializeValueIntegerSigned1(long x)` Serialize a value.
    `void` | `serializeValueIntegerSigned2(long x, long y)` Serialize a value.
    `void` | `serializeValueIntegerSigned3(long x, long y, long z)` Serialize a value.
    `void` | `serializeValueIntegerSigned4(long x, long y, long z, long w)` Serialize a value.
    `void` | `serializeValueIntegerUnsigned1(long x)` Serialize a value.
    `void` | `serializeValueIntegerUnsigned2(long x, long y)` Serialize a value.
    `void` | `serializeValueIntegerUnsigned3(long x, long y, long z)` Serialize a value.
    `void` | `serializeValueIntegerUnsigned4(long x, long y, long z, long w)` Serialize a value.

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### serializeValueFloat4

          void serializeValueFloat4(double x,
                                    double y,
                                    double z,
                                    double w)
                             throws IOException,
                                    IllegalArgumentException,
                                    IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueFloat3

          void serializeValueFloat3(double x,
                                    double y,
                                    double z)
                             throws IOException,
                                    IllegalArgumentException,
                                    IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueFloat2

          void serializeValueFloat2(double x,
                                    double y)
                             throws IOException,
                                    IllegalArgumentException,
                                    IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueFloat1

          void serializeValueFloat1(double x)
                             throws IOException,
                                    IllegalArgumentException,
                                    IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerSigned4

          void serializeValueIntegerSigned4(long x,
                                            long y,
                                            long z,
                                            long w)
                                     throws IOException,
                                            IllegalArgumentException,
                                            IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerSigned3

          void serializeValueIntegerSigned3(long x,
                                            long y,
                                            long z)
                                     throws IOException,
                                            IllegalArgumentException,
                                            IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerSigned2

          void serializeValueIntegerSigned2(long x,
                                            long y)
                                     throws IOException,
                                            IllegalArgumentException,
                                            IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerSigned1

          void serializeValueIntegerSigned1(long x)
                                     throws IOException,
                                            IllegalArgumentException,
                                            IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerUnsigned4

          void serializeValueIntegerUnsigned4(long x,
                                              long y,
                                              long z,
                                              long w)
                                       throws IOException,
                                              IllegalArgumentException,
                                              IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerUnsigned3

          void serializeValueIntegerUnsigned3(long x,
                                              long y,
                                              long z)
                                       throws IOException,
                                              IllegalArgumentException,
                                              IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerUnsigned2

          void serializeValueIntegerUnsigned2(long x,
                                              long y)
                                       throws IOException,
                                              IllegalArgumentException,
                                              IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
        `y` - The y value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

    - #### serializeValueIntegerUnsigned1

          void serializeValueIntegerUnsigned1(long x)
                                       throws IOException,
                                              IllegalArgumentException,
                                              IllegalStateException

      Serialize a value.
      Parameters:
        `x` - The x value
      Throws:
        `IllegalStateException` - If the header has not yet been serialized
        `IllegalStateException` - If the serializer has previously failed
        `IllegalArgumentException` - If the current attribute is not of a type appropriate to this method call
        `IOException` - On I/O errors

Copyright © 2017 <code@io7m.com> http://io7m.com